# $Revision: 1.38 $, $Date: 2006/12/17 16:12:11 $
#
# TODO: - add Provides: ...(grsecurity) in the kernel.spec /LINUX_2_6 should
#	  provide grsecurity/ and uncomment the Reqs
#
# Conditional build:
%bcond_without	dist_kernel	# without kernel from distribution 
%bcond_with	static		# build static version
#
%define 	grsec_version	2.1.9
%define		_snap		200610091102
%define		_rel		1
Summary:	GrSecurity ACL Administration
Summary(pl):	Administracja ACL GrSecurity
Name:		gradm
Version:	%{grsec_version}
Release:	%{_snap}.%{_rel}
License:	GPL
Group:		Applications/System
# Source0:	http://www.grsecurity.net/~spender/%{name}-%{version}-%{_snap}.tar.gz
Source0:	http://www.grsecurity.net/%{name}-%{version}-%{_snap}.tar.gz
# Source0-md5:	865bce4dd994e33c501f6b159d323c1a
Source1:	http://www.grsecurity.net/gracldoc.htm
# Source1-md5:	010802958eaed78e4c370f4f5ce142b5
Patch0:		%{name}-caps.patch
URL:		http://www.grsecurity.net/
BuildRequires:	bison
BuildRequires:	flex
%if %{with static}
BuildRequires:	glibc-static
BuildRequires:	pam-static
BuildRequires:	sed > 4.0
%endif
BuildRequires:	pam-devel
BuildRequires:	texinfo
#%{?with_dist_kernel:Requires:	kernel(grsecurity) > 1.9.8}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
GrSecurity ACL Administration.

%description -l pl
Administracja ACL GrSecurity.

%prep
%setup -q -n %{name}2
%patch0 -p1
cp -f %{SOURCE1} .

%build
%{?with_static:sed -i 's/LDFLAGS=/LDFLAGS=-static -ldl/' Makefile}
%{__make} \
	CC="%{__cc}" \
	YACC=/usr/bin/bison \
	CFLAGS="%{rpmcflags} -DGRSEC_DIR=\\\"/etc/grsec\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/grsec}

install gradm $RPM_BUILD_ROOT%{_sbindir}
install gradm_pam $RPM_BUILD_ROOT%{_sbindir}
install grlearn $RPM_BUILD_ROOT%{_sbindir}
install gradm.8 $RPM_BUILD_ROOT%{_mandir}/man8
install policy $RPM_BUILD_ROOT%{_sysconfdir}/grsec
install learn_config $RPM_BUILD_ROOT%{_sysconfdir}/grsec

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc gracldoc.htm
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}/grsec
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/grsec/policy
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/grsec/learn_config
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gradm.spec,v $
Revision 1.38  2006/12/17 16:12:11  zbyniu
- up to 2.1.9-200610091102; patch for all caps in our kernel

Revision 1.37  2006/09/04 16:24:18  zbyniu
- up to 2.1.9-200608201448

Revision 1.36  2006/08/08 19:03:01  zbyniu
- up to official 2.1.9 (200607142202)

Revision 1.35  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.34  2006/03/01 09:17:30  mguevara
- 2.1.9-200602141850.1 taken from spender url

Revision 1.33  2006/02/07 10:42:30  zbyniu
- up to 2.1.8-200601212342, STBR

Revision 1.32  2006/01/16 00:36:13  zbyniu
- up to 2.1.8-200601081938

Revision 1.31  2005/11/17 19:53:51  zbyniu
- up to 2.1.7-200511041858

Revision 1.30  2005/09/23 23:19:06  zbyniu
- pam support (new), KERNVER now not needed
- proper static bcond

Revision 1.29  2005/09/22 15:34:31  arekm
- up to 2.1.6-200506131347

Revision 1.28  2005/09/22 15:31:20  arekm
- mguevara, what was that /tmp/flags?

Revision 1.27  2005/07/18 20:20:30  zbyniu
- up to 2.1.5 compatible with kernel-grsecurity-2.6.11.10-6
- status: works for me

Revision 1.26  2005/01/19 19:09:24  qboosh
- no longer relies on grsec headers from kernel

Revision 1.25  2005/01/19 17:07:08  mguevara
- update to 2.1.1-snapshot (in sync with grsecurity from kernel.spec
  LINUX_2_6 -- 2.6.10-0.100)

Revision 1.24  2004/10/25 20:55:29  blues
- well... removed from cvs -> removed from spec

Revision 1.23  2004/10/11 14:59:54  blues
- 2.0.1, fixed install

Revision 1.22  2004/08/04 09:20:27  qboosh
- use version in Source0

Revision 1.21  2004/08/04 09:03:39  blues
- full 2.0 grsec (not tested)

Revision 1.20  2004/04/16 09:26:24  pluto
- elfutils patch added.
- bcond_without static added.

Revision 1.19  2004/02/01 23:59:24  eothane
- bcond, cosmetics

Revision 1.18  2003/12/02 18:59:33  ciesiel
- upgraded to ver. 2.0rc3

Revision 1.17  2003/08/12 23:23:44  arekm
- updated to 2.0rc2

Revision 1.16  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.15  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.14  2003/05/30 15:16:12  qboosh
- merged lost change:
  Revision 1.12  2003/05/27 08:42:52  cieciwa
  - updated to gradm 2.0-pre4 to use with kernel 2.4.20-6pl8 and up.

Revision 1.13  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/08 19:43:48  adasi
- added br: texinfo (makeinfo)

Revision 1.10  2003/02/15 01:18:45  cieciwa
- added BR from grsecurity.

Revision 1.9  2003/02/14 23:25:10  hunter
- up to 1.7b, Cieciwa: please include this in RA-2.4-PACK :)

Revision 1.8  2002/11/27 11:56:41  qboosh
- updated to 1.5a

Revision 1.7  2002/10/08 14:57:30  qboosh
- BR: automake

Revision 1.6  2002/05/21 23:13:28  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/11 23:33:55  ankry
- renamed README.ACL -> gradm-README.ACL
- release 2

Revision 1.4  2002/05/11 07:59:04  misiek
- updated to 1.2.1

Revision 1.3  2002/04/25 16:29:54  arturs
- fixed a small typo

Revision 1.2  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/04 15:44:55  qboosh
- new: grsecurity ACLs admin; spec by kura and me
